<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>NOIRLab IRAF Documentation</title>
    <link rel="icon" type="image/x-icon" href="img/favicon.ico">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/csdc-base.css">
    <link rel="stylesheet" href="css/style.css">
    <script>
      (function initMatomo(window){
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
          var u="//matomo.noirlab.edu/";
          _paq.push(['setTrackerUrl', u+'matomo.php']);
          _paq.push(['setSiteId', '3']);
          var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
          g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
      })(window)
    </script>
    <!-- Google tag (gtag.js) -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-VYSCZ68PS9"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', 'G-VYSCZ68PS9');
    </script>
  </head>
  <body>
    <div class="content">
      <div class="card padded">
        <div class="iraf-logo">
          <img alt="IRAF Logo" loading="lazy" decoding="async" src="img/iraf-logo.png">
        </div>
        <h1 class="heading-text">
          NOIRLab IRAF Documentation
        </h1>
        <hr align="left" width="100%">

        <h2 class="heading-text">
          Introductory Materials
        </h2>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3053">A Beginner’s Guide to Using IRAF IRAF Version 2.10</a>, Jeannette Barnes, August 1993.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3049">A User's Introduction to the IRAF Command Languate (Version 2.3)</a>, Peter MB Shames, Doug Tody, August 1986.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3072">Preliminary Test Procedure for IRAF</a>(IRAF Version 2.11), Jeannette Barnes, revised September 1997.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3067">An Introductory User’s Guide to IRAF Scripts</a>, revised by Rob Seaman, September 1989.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3031">IRAF Fits Kernel User's Guide</a>, Nelson Zarate, August 1997.
<p>
<hr>
        <h2 class="heading-text">
          Installation and Site Manager's Guides
        </h2>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3081">PC-IRAF V2.12 Installation Guide</a>, Doug Tody and Michael Fitzpatrick, Revised May 2002.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3084">SunOS/Solaris IRAF V2.12 Installation Guide</a>, Doug Tody and Michael Fitzpatrick, Revised May 2002.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3073">UNIX/IRAF V2.12 Site Manager’s Guide</a>, Doug Tody and Michael Fitzpatrick, Revised May 2002.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3065">IRIX/IRAF Installation Guide</a>, Steve Rooke, Doug Tody, Mike Fitzpatrick, June 1989 (Revised July 1992).
<p>
<hr>
        <h2 class="heading-text">
          Cookbooks and Guides
        </h2>

<p>
        <a href="https://noirlab.edu/science/documents/scidoc3036">A Reference Manual for the IRAF System Interface</a>, Doug Tody, 1984.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3019">A User's Guide to CCD Reductions with IRAF</a>, Philip Massey, February 1997.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3069">A User's Guide to Reducing Slit Spectra with IRAF</a>, Phil Massey, Frank Valdes, Jeannette Barnes, April 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3030">A User's Guide to Reducing Echelle Spectra With IRAF</a>, Daryl Willmarth and Jeannette Barnes, May 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3028">Guide to the Multifiber Reduction Task DOFIBERS</a>, Francisco Valdes, July 1995.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3029">Guide to the HYDRA Reduction Task DOHYDRA</a>, Francisco Valdes, July 1995.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3060">Guide to the Slit Spectra Reduction Task DOSLIT</a>, Francisco Valdes, February 1993.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3058">Guide to the Slit Spectra Reduction Task DOECSLIT</a>, Francisco Valdes, February 1993.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3055">A User's Guide to Stellar CCD Photometry with IRAF</a>, Philip Massey and Lindsey Davis, April 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3052">Specifications for the Aperture Photometry Package</a>, Lindsey Davis, revised October 1987.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3056">A Reference Guide to the IRAF/DAOPHOT Package</a>, Lindsey E. Davis, January 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3037">Photometry Using IRAF</a>, Lisa A. Wells, February 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3021">Rectifying and Registering Images Using IRAF</a>, Lisa A. Wells, April 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3025">Cleaning Images of Bad Pixels and Cosmic Rays Using IRAF</a>, Lisa A. Wells and David J. Bell, September 1994.
<p>
<hr>
        <h2 class="heading-text">
          CCD Reductions (Including Mosaics)
        </h2>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3019" target="_blank">A User's Guide to CCD Reductions with IRAF</a>, Philip Massey, February 1997.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3023">User’s Guide to the CCDRED Package</a>, Francisco Valdes, February 1987 (Revised March 1988).
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3054">The IRAF CCD Reduction Package (CCDRED)</a>, Francisco Valdes, September 1987.

<hr>
        <h2 class="heading-text">
          Programming Guides
        </h2>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3079">A User’s Guide to Fortran Programming in IRAF The IMFORT Interface</a>, Doug Tody, September 1986.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3064">Specifying Pixel Directories with IMFOR</a>, Doug Tody, June 1989.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3067">An Introductory User’s Guide to IRAF Scripts</a>, revised by Rob Seaman, September 1989.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3070">An Introductory User’s Guide to IRAF SPP Programming</a>, Rob Seaman, October 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3026">CL Programmer’s Manual</a>, Elwood Downey, Douglas Tody, George H. Jacoby, December 1982 (Revised September 1983).
<p>
<hr>
        <h2 class="heading-text">
          Photometry
        </h2>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3037">Photometry Using IRAF</a>, Lisa A. Wells, February 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3019">A User's Guide to CCD Reductions with IRAF</a>, Philip Massey, February 1997.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3055">A User's Guide to Stellar CCD Photometry with IRAF</a>, Philip Massey and Lindsey Davis, April 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3052">Specifications for the Aperture Photometry Package</a>, Lindsey Davis, revised October 1987.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3048">A User's Guide to the IRAF APPHOT Package</a>, Lindsey Davis, revised May 1989.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3056">A Reference Guide to the IRAF/DAOPHOT Package</a>, Lindsey E. Davis, January 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3027">Future Development of the Daophot Crowded-Field Photometry Package</a>, Peter Stetson, Lindesey Davis, Dennis Crabtree, February 1987.
<hr>
        <h2 class="heading-text">
          Spectroscopy
        </h2>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3019">A User's Guide to CCD Reductions with IRAF</a>, Philip Massey, February 1997.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3069">A User's Guide to Reducing Slit Spectra with IRAF</a>, Phil Massey, Frank Valdes, Jeannette Barnes, April 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3030">A User's Guide to Reducing Echelle Spectra With IRAF</a>, Daryl Willmarth and Jeannette Barnes, May 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3028">Guide to the Multifiber Reduction Task DOFIBERS</a>, Francisco Valdes, July 1995.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3029">Guide to the HYDRA Reduction Task DOHYDRA</a>, Francisco Valdes, July 1995.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3060">Guide to the Slit Spectra Reduction Task DOSLIT</a>, Francisco Valdes, February 1993.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3058">Guide to the Slit Spectra Reduction Task DOECSLIT</a>, Francisco Valdes, February 1993.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3022">The IRAF APEXTRACT Package</a>, Francisco Valdes, July 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3051">The IRAF APEXTRACT Package - v2.10</a>, Francisco Valdes, September 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3074">The IRAF APEXTRACT Package - v3.0</a>, Francisco Valdes, May 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3050">Iraf Reduction Of Coude CCD Data</a>, Daryl Willmarth, February, 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3040">The IRAF/NOAO Spectral World Coordinate Systems</a>, Francisco Valdes, February 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3057">Guide to the Coude Three Fiber Reduction Task DO3FIBER</a>, Francisco Valdes, April 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3077">Guide to the IRAF GOLDCAM Reduction Task DOGOLDCAM</a>, Francisco Valdes, September 1990.
<p>

<hr>
        <h2 class="heading-text">
          General Image Processing
        </h2>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3021">Rectifying and Registering Images Using IRAF</a>, Lisa A. Wells, April 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3025">Cleaning Images of Bad Pixels and Cosmic Rays Using IRAF</a>, Lisa A. Wells and David J. Bell, September 1994.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3023">User’s Guide to the CCDRED Package</a>, Francisco Valdes, February 1987 (Revised March 1988).
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3054">The IRAF CCD Reduction Package (CCDRED)</a>, Francisco Valdes, September 1987.
<p>

<hr>
<hr>
<p>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3024">A Reference Guide for the IRAF Client Display Library (CDL)</a>, Michael Fitzpatrick, February 1997 (Revised March 1998).
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3075">Comparison of Full Format and Spectroscopic CCD Formats. (Figure)</a>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3076">Guide to the ARGUS Reduction Task DOARGUS</a>, Francisco Valdes, April 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3059">Guide to the Fiber Optic Echelle Reduction Task DOFOE</a>, Francisco Valdes, April 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3042">Guide to the NESSIE Reduction Task DONESSIES</a>, Francisco Valdes, September 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3078">Decstation Ultrix/IRAF Installation Guide</a>, Doug Tody, June 1989.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3061">An Overview of the IRAF DTOI Package</a>, Suzanne Jacoby, February 1987 (Revised July 1988).
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3062">HPUX/IRAF Installation Guide</a>, Steve Rooke, Doug Tody, Mike Fitzpatrick, June 1989 (Revised June 1993).
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3063">Radial Velocity Measurements with IDENTIFY</a>, Francisco Valdes, August 1986 (Revised August 1990).
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3044">The IRAF Image I/O Interface</a>, Doug Tody, November 1983.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3043">The IRAF Image I/O Interface New Release</a>, Doug Tody, May 1985.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3032">IRAF in the Nineties</a>, Doug Tody, February 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3080">Reduction of long slit spectra with IRAF</a>, Francisco Valdes, March 1986.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3020">MEM Package for Image Restoration in IRAF</a>, Nailong Wu, October, 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3066">Some Notes on the ONEDSPEC Package</a>, George Jacoby, June 1985.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3034">ONEDSPEC/IMRED Package Revisions Summary: IRAF Version 2.10</a>, Francisco Valdes, May 1992.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3033">
ONEDSPEC Package Revisions Summary: IRAF Version 2.10
</a>, Francisco Valdes, May 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3035">A Quantitative Study of Optimal Extraction</a>, Francisco Valdes, February 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3082">Named External Parameter Sets in the CL</a>, Doug Tody, 1986. 
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3038">Psfmeasure/Starfocus: IRAF PSF Measuring Tasks</a>, Francisco Valdes, February 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3046">An SPP/VOS Quick Reference Card</a>
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3083">The IRAF Simple Graphics Interface (SGI)</a>, Doug Tody, August 1986.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3039">A User's Guide to Multislit Spectroscopic Reductions with IRAF</a>, E. Ellingson, November 1989.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3047">SPECFOCUS: An IRAF Task for Focusing Spectrographs</a>, Francisco Valdes, February 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3068">Guide to the CTIO Slit Spectra Reduction Task SPECPROC</a>, Francisco Valdes, September 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3041">Pattern and Transient Removal Algoritms</a>, Francisco Valdes, February 1990.
<p>
        <a href="https://noirlab.edu/science/documents/scidoc3071">IRAF Standards and Conventions</a>, Elwood Downey, George Jacoby, Vesa Junkkarinen, Steve Ridgway, Paul Schmidtke, Charles Slaughter, Douglas Tody, Francisco Valdes, August 1983.
<p>
  
        <!--TEXT GOES HERE-->
      </div>
      <div class="logos">
        <a href="https://noirlab.edu/" target="_blank">
          <img alt="NSF NOIRLab Logo" loading="lazy" width="176" height="70" decoding="async" src="img/nsf-noirlab-logo.svg">
        </a>
        <a href="https://noirlab.edu/public/programs/csdc/" target="_blank">
          <img alt="CSDC Logo" loading="lazy" width="137" height="137" decoding="async" src="img/csdc-logo.svg">
        </a>
        <a href="https://noirlab.edu/science/programs/csdc/usngo" target="_blank">
          <img alt="US NGO Logo" loading="lazy" width="75" height="75" decoding="async" src="img/usngo-logo.jpeg">
        </a>
        <a href="https://www.aura-astronomy.org/" target="_blank">
          <img alt="AURA Logo" loading="lazy" width="158" height="74" decoding="async" src="img/aura-logo.svg">
        </a>
      </div>
      <div class="credits">
        <p>
          IRAF is in part provided by the&nbsp;<a href="https://noirlab.edu/public/programs/csdc/" target="_blank"> 
          Community Science and Data Center (CSDC)</a> at <a href="https://noirlab.edu/" target="_blank">NSF NOIRLab</a>,
          the national center for ground-based nighttime astronomy in the United States operated by the
          &nbsp;<a href="https://www.aura-astronomy.org/" target="_blank">Association of Universities for Research in
          &nbsp;Astronomy (AURA)</a>&nbsp; under cooperative agreement with the&nbsp;
          <a href="https://www.nsf.gov/" target="_blank">U.S. National Science Foundation.</a>
        </p>
      </div>
    </div>
  </body>
</html>

